How to use GPO 4 FF with FF6

Help
Nick
2011-08-25
2013-04-24
  • Nick
    Nick
    2011-08-25

    Hi folks,
    The extensions works perfectly with a few changes in the 'install.rdf' file.
    Open the XPI (with 7zip or rename it to .zip to open it in Windows Explorer) and extract 'install.rdf'.
    Open 'install.rdf' in a editor.
    Somehow, FF6 doesn't like the extensions' name. I put in a GUID like most extensions use for this and it worked.
    We have to exchange the line:
    <em:id>gpofirefox@extensions.org</em:id>
    with something like this:
    <em:id>{Your GUID goes here}</em:id>
    Second, we need to make it FF6 aware. Change the line:
    <em:maxVersion>5.*</em:maxVersion>
    like this:
    <em:maxVersion>6.*</em:maxVersion>
    That should do the trick.
    Have fun.